echo off
cls
echo ** CalCat installation utility **
echo *********************************

echo ** Searching for older versions of CalCat! **
echo *********************************************

if exist calcat4*.exe goto v4
if exist calcat3*.exe goto v3
if exist calcat2*.exe goto v2
if exist calcat1*.exe goto v2

rem install everything/ no conversion
echo ** No ealier versions of CalCat! **
pkunzip cc50.zip
del cc50.zip
goto end

:v4
rem convert everything/ overwrite old
echo ** Version 4.xx series found. **
del *.exe
pkzip -d cc50.zip calcat.swp
pkzip -d cc50.zip calcat.dat
pkzip -d cc50.zip calcat.ini
pkunzip -o cc50.zip
cnv46_50
if exist bbstype.dat del bbstype.dat
del calcaold.*
del cc50.zip
del cnv46_50.exe
echo ** All of your CalCat! files should have been properly **
echo ** converted.  Double check using CONFIG50.EXE.        **
goto end

:v3
rem convert only calcat.dat/erase the rest
echo ** Version 3.xx series found. **
del *.exe
pkzip -d cc50.zip calcat.dat
pkunzip -o cc50.zip
cnv46_50
del calcaold.*
del cc50.zip
del cnv46_50.exe
echo ** Your CALCAT.DAT file has been converted.  You will now have **
echo ** to modify your NEW CALCAT.INI and CALCAT.SWP using CONFIG50 **
goto end

:v2
rem erase all old files and reinstall new!
echo ** Version 2.xx series found.  Really old!    
echo ** This version is too old!!  To install over version 1.xx
echo ** or version 2.xx series, please delete ALL OLD files and
echo ** then rerun this install utility.  Thanks.
echo ** Registered users who still use versions 1.xx or 2.xx must
echo ** contact the author for new registration key!
echo

:end
echo ***********************************************************************
echo ** To run CalCat! v5.0 you MUST also have a file called HOLISCRN.ZIP **
echo ** which contains the holiday screens required to run CalCat!.  If   **
echo ** you do not have this file, it can be found on the MSI HQS BBS at  **
echo ** 1-805-395-0250 or on The Bit Debris BBS at 612-686-8106!          **
echo ***********************************************************************
echo ** When finished installing CalCat!, run the CONFIG50 program to     **
echo ** customize your system setup.                                      **
echo ***********************************************************************
echo **               Thank you for supporting CalCat!                    **
echo ***********************************************************************
